View Issue Details

IDProjectCategoryView StatusLast Update
0000078Siril[All Projects] Sirilpublic2016-11-20 18:33
Reporterlock42Assigned Tolock42 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version0.9.0rc1 
Target Version0.9.5Fixed in Version0.9.5 
Summary0000078: Implement a graph interface to display quality registration information (Kplot integration)
DescriptionAfter the analysis/registration is finished, it could be useful that siril displays a quality graph.
TagsNo tags attached.

Relationships

parent of 0000005 confirmed Evolution - New "cut" function 
parent of 0000160 assignedvinvin Use the graphs to define the image rejection function for stacking 
parent of 0000163 resolvedlock42 Use time as X axis instead of frame number in graphs 
parent of 0000164 resolvedlock42 Improve photometry 
Not all the children of this issue are yet resolved or closed.

Activities

vinvin

2016-09-21 22:28

administrator   ~0000351

Last edited: 2016-10-16 00:24

View 3 revisions

Data to display:
- PSF from registration (at least fwhmx and roundness, possibly A and B too) for each available layer
- quality data from registration for each available layer
- PSF from multiple seqpsf runs for photmetry
- maybe some stats from images
- see the cut tool child ticket as well

Related Changesets

Siril: trunk r1527

2016-09-23 00:46:16

vinvin

Details
Adding kplot in the source tree and in makefiles.
Affected Issues
0000078
mod - /trunk/Makefile.am
add - /trunk/deps
add - /trunk/deps/kplot
add - /trunk/deps/kplot/Makefile
add - /trunk/deps/kplot/array.c
add - /trunk/deps/kplot/border.c
add - /trunk/deps/kplot/bucket.c
add - /trunk/deps/kplot/buffer.c
add - /trunk/deps/kplot/colours.c
add - /trunk/deps/kplot/compat.post.h
add - /trunk/deps/kplot/compat.pre.h
add - /trunk/deps/kplot/compat.sh
add - /trunk/deps/kplot/draw.c
add - /trunk/deps/kplot/extern.h
add - /trunk/deps/kplot/grid.c
add - /trunk/deps/kplot/hist.c
add - /trunk/deps/kplot/kdata.c
add - /trunk/deps/kplot/kplot.c
add - /trunk/deps/kplot/kplot.h
add - /trunk/deps/kplot/label.c
add - /trunk/deps/kplot/man
add - /trunk/deps/kplot/man/kdata_array_alloc.3
add - /trunk/deps/kplot/man/kdata_array_fill.3
add - /trunk/deps/kplot/man/kdata_bucket_add.3
add - /trunk/deps/kplot/man/kdata_bucket_alloc.3
add - /trunk/deps/kplot/man/kdata_buffer_alloc.3
add - /trunk/deps/kplot/man/kdata_buffer_copy.3
add - /trunk/deps/kplot/man/kdata_destroy.3
add - /trunk/deps/kplot/man/kdata_get.3
add - /trunk/deps/kplot/man/kdata_hist_add.3
add - /trunk/deps/kplot/man/kdata_hist_alloc.3
add - /trunk/deps/kplot/man/kdata_mean_alloc.3
add - /trunk/deps/kplot/man/kdata_mean_attach.3
add - /trunk/deps/kplot/man/kdata_pmfmean.3
add - /trunk/deps/kplot/man/kdata_pmfstddev.3
add - /trunk/deps/kplot/man/kdata_pmfvar.3
add - /trunk/deps/kplot/man/kdata_stddev_alloc.3
add - /trunk/deps/kplot/man/kdata_stddev_attach.3
add - /trunk/deps/kplot/man/kdata_vector_alloc.3
add - /trunk/deps/kplot/man/kdata_vector_append.3
add - /trunk/deps/kplot/man/kdata_xmax.3
add - /trunk/deps/kplot/man/kdata_xmean.3
add - /trunk/deps/kplot/man/kdata_xmin.3
add - /trunk/deps/kplot/man/kdata_xstddev.3
add - /trunk/deps/kplot/man/kdatacfg_defaults.3
add - /trunk/deps/kplot/man/kplot.3
add - /trunk/deps/kplot/man/kplot_alloc.3
add - /trunk/deps/kplot/man/kplot_attach_data.3
add - /trunk/deps/kplot/man/kplot_attach_datas.3
add - /trunk/deps/kplot/man/kplot_attach_smooth.3
add - /trunk/deps/kplot/man/kplot_detach.3
add - /trunk/deps/kplot/man/kplot_draw.3
add - /trunk/deps/kplot/man/kplot_free.3
add - /trunk/deps/kplot/man/kplot_get_datacfg.3
add - /trunk/deps/kplot/man/kplot_get_plotcfg.3
add - /trunk/deps/kplot/man/kplotcfg_defaults.3
add - /trunk/deps/kplot/margin.c
add - /trunk/deps/kplot/mean.c
add - /trunk/deps/kplot/plotctx.c
add - /trunk/deps/kplot/reallocarray.c
add - /trunk/deps/kplot/stddev.c
add - /trunk/deps/kplot/test-reallocarray.c
add - /trunk/deps/kplot/tic.c
add - /trunk/deps/kplot/vector.c
mod - /trunk/src/Makefile.am

Siril: trunk r1528

2016-09-23 01:01:50

vinvin

Details
Adding the include path for kplot and removing its unused man files.
Affected Issues
0000078
rm - /trunk/deps/kplot/man
mod - /trunk/src/Makefile.am

Siril: trunk r1534

2016-09-26 10:25:18

lock42

Details
Work on issue 0000078.
Add Greek translation (80%)
Affected Issues
0000078
mod - /trunk/deps/kplot
mod - /trunk/po
mod - /trunk/po/LINGUAS
mod - /trunk/po/POTFILES.in
mod - /trunk/po/ar_DZ.po
add - /trunk/po/el.po
mod - /trunk/po/es_ES.po
mod - /trunk/po/fr.po
mod - /trunk/po/it_IT.po
mod - /trunk/po/nl_BE.po
mod - /trunk/po/tl_PH.po
mod - /trunk/po/zh_CN.po
mod - /trunk/src/Makefile.am
mod - /trunk/src/algos/colors.c
mod - /trunk/src/core/siril.c
mod - /trunk/src/core/siril.h
mod - /trunk/src/core/utils.c
mod - /trunk/src/gui/callbacks.c
add - /trunk/src/gui/quality_plot.c
add - /trunk/src/gui/quality_plot.h
mod - /trunk/src/gui/siril3.glade
mod - /trunk/src/io/sequence.c
mod - /trunk/src/registration/registration.c

Siril: trunk r1535

2016-09-26 16:39:58

lock42

Details
Minor update on issue 0000078 Affected Issues
0000078
mod - /trunk/src/gui/quality_plot.c

Siril: trunk r1536

2016-09-27 15:01:51

lock42

Details
Minor update on issue 0000078 Affected Issues
0000078
mod - /trunk/src/gui/quality_plot.c

Siril: trunk r1551

2016-10-03 21:39:31

lock42

Details
Minor update on issue 0000078 Affected Issues
0000078
mod - /trunk/deps/kplot/draw.c
mod - /trunk/deps/kplot/kplot.h
mod - /trunk/po/ar_DZ.po
mod - /trunk/po/el.po
mod - /trunk/po/es_ES.po
mod - /trunk/po/fr.po
mod - /trunk/po/it_IT.po
mod - /trunk/po/nl_BE.po
mod - /trunk/po/tl_PH.po
mod - /trunk/po/zh_CN.po
mod - /trunk/src/gui/quality_plot.c
mod - /trunk/src/gui/siril3.glade

Siril: trunk r1573

2016-10-21 01:36:43

vinvin

Details
Starting multiple graph / flexible data refactoring. Ref issue 0000078.
Data struct allows for several data sources now, but it is still used in the same way.
Next step is allowing for multiple several sources at the same time and using different data sources as input.
Affected Issues
0000078
mod - /trunk/src/gui/quality_plot.c
mod - /trunk/src/gui/quality_plot.h
mod - /trunk/src/io/sequence.c

Siril: trunk r1582

2016-10-28 01:19:19

vinvin

Details
memory leak fix in new quality plot. Ref 0000078 Affected Issues
0000078
mod - /trunk/src/gui/quality_plot.c

Siril: trunk r1583

2016-10-28 11:35:30

vinvin

Details
fixing free_plot_data. Ref issue 0000078 Affected Issues
0000078
mod - /trunk/src/gui/quality_plot.c

Siril: trunk r1589

2016-11-01 03:46:16

vinvin

Details
Refactoring sequence processing of PSF to use it in registration and seqpsf in a more flexible way.
Several seqpsf can now be run and stored.
Graph update as well, with several fwhm data displayed, one for each seqpsf (issue 0000078).
Affected Issues
0000078
mod - /trunk/src/core/command.c
mod - /trunk/src/core/proto.h
mod - /trunk/src/core/siril.h
mod - /trunk/src/gui/quality_plot.c
mod - /trunk/src/io/sequence.c
mod - /trunk/src/registration/registration.c

Siril: trunk r1590

2016-11-01 20:25:28

vinvin

Details
Fixing image selection in graphs. Ref issue 0000078.
Affected Issues
0000078
mod - /trunk/src/gui/quality_plot.c

Siril: trunk r1591

2016-11-01 23:37:53

vinvin

Details
Issue 0000078: multiple data sources for photometry graphs.
Affected Issues
0000078
mod - /trunk/src/gui/quality_plot.c
mod - /trunk/src/gui/quality_plot.h
mod - /trunk/src/gui/siril3.glade

Siril: trunk r1594

2016-11-02 02:08:00

vinvin

Details
Fixing compilation variables passing to kplot and fixing warning for abs instead of fabs. Ref issue 0000078.
Affected Issues
0000078
mod - /trunk/Makefile.am
mod - /trunk/deps/kplot/Makefile
mod - /trunk/deps/kplot/label.c

Siril: trunk r1597

2016-11-02 22:31:04

vinvin

Details
fixing absolute magnitudes for plots - issue 0000078 Affected Issues
0000078
mod - /trunk/src/gui/quality_plot.c

Siril: trunk r1601

2016-11-04 00:17:56

vinvin

Details
Adding a combo box to choose between registration data and photometry data in graph display.
Fixing sequence saving on first seqpsf.
All that fixes issue 0000078.
Affected Issues
0000078
mod - /trunk/src/core/command.c
mod - /trunk/src/gui/quality_plot.c
mod - /trunk/src/gui/quality_plot.h
mod - /trunk/src/gui/siril3.glade
mod - /trunk/src/io/sequence.c

Siril: trunk r1608

2016-11-08 00:50:18

vinvin

Details
fixing graph cleanup after seqpsf - issue 0000078 Affected Issues
0000078
mod - /trunk/src/gui/quality_plot.c
mod - /trunk/src/gui/quality_plot.h
mod - /trunk/src/io/sequence.c

Siril: trunk r1611

2016-11-08 09:21:55

vinvin

Details
a bit of improvement for widget update on sequence switching for graphs - issue 0000078 Affected Issues
0000078
mod - /trunk/src/gui/quality_plot.c

Siril: trunk r1627

2016-11-16 01:50:01

vinvin

Details
Graph improvements:
- setmagseq and unsetmagseq commands
- coloring the stars that have been plotted
- adding X and Y positions for telescope periodic error plotting
Affected Issues
0000078
mod - /trunk/src/core/command.c
mod - /trunk/src/core/command.h
mod - /trunk/src/core/siril.h
mod - /trunk/src/gui/callbacks.c
mod - /trunk/src/gui/plot.c
mod - /trunk/src/gui/plot.h
mod - /trunk/src/gui/siril3.glade
mod - /trunk/src/io/sequence.c

Siril: trunk r1633

2016-11-20 18:33:40

vinvin

Details
adding clear buttons for plot. ref issue 0000078. Affected Issues
0000078
mod - /trunk/src/gui/plot.c
mod - /trunk/src/gui/plot.h
mod - /trunk/src/gui/siril3.glade
mod - /trunk/src/io/sequence.c

Issue History

Date Modified Username Field Change
2015-10-03 10:07 lock42 New Issue
2015-10-03 10:07 lock42 Status new => assigned
2015-10-03 10:07 lock42 Assigned To => lock42
2015-10-03 11:23 lock42 Description Updated View Revisions
2015-10-03 11:26 lock42 Description Updated View Revisions
2016-02-25 16:14 lock42 Description Updated View Revisions
2016-09-21 22:28 vinvin Note Added: 0000351
2016-09-23 01:02 vinvin Changeset attached => Siril trunk r1527
2016-09-23 01:02 vinvin Changeset attached => Siril trunk r1528
2016-09-23 01:03 vinvin OS Debian =>
2016-09-23 01:03 vinvin OS Version Testing =>
2016-09-23 01:03 vinvin Platform GNU/Linux 64bits =>
2016-09-23 01:03 vinvin Description Updated View Revisions
2016-09-23 01:04 vinvin Note Edited: 0000351 View Revisions
2016-09-26 10:12 lock42 Target Version 1.0.0 => 0.9.5
2016-09-26 10:12 lock42 Summary Implement a graph interface to display quality registration information => Implement a graph interface to display quality registration information (Kplot integration)
2016-09-26 10:12 lock42 Description Updated View Revisions
2016-09-26 10:25 lock42 Changeset attached => Siril trunk r1534
2016-09-26 16:40 lock42 Changeset attached => Siril trunk r1535
2016-09-27 15:01 lock42 Changeset attached => Siril trunk r1536
2016-09-29 11:03 vinvin Relationship added parent of 0000005
2016-10-03 21:39 lock42 Changeset attached => Siril trunk r1551
2016-10-16 00:17 vinvin Relationship added parent of 0000160
2016-10-16 00:24 vinvin Note Edited: 0000351 View Revisions
2016-10-21 01:36 vinvin Changeset attached => Siril trunk r1573
2016-10-28 02:03 vinvin Changeset attached => Siril trunk r1582
2016-10-28 11:35 vinvin Changeset attached => Siril trunk r1583
2016-11-01 03:46 vinvin Changeset attached => Siril trunk r1589
2016-11-01 20:25 vinvin Changeset attached => Siril trunk r1590
2016-11-01 23:37 vinvin Changeset attached => Siril trunk r1591
2016-11-02 02:08 vinvin Changeset attached => Siril trunk r1594
2016-11-02 22:31 vinvin Changeset attached => Siril trunk r1597
2016-11-04 00:17 vinvin Changeset attached => Siril trunk r1601
2016-11-04 00:18 vinvin Status assigned => resolved
2016-11-04 00:18 vinvin Resolution open => fixed
2016-11-04 00:18 vinvin Fixed in Version => 0.9.5
2016-11-08 00:50 vinvin Changeset attached => Siril trunk r1608
2016-11-08 09:21 vinvin Changeset attached => Siril trunk r1611
2016-11-13 00:09 vinvin Relationship added parent of 0000163
2016-11-13 00:50 vinvin Relationship added parent of 0000164
2016-11-16 01:57 vinvin Changeset attached => Siril trunk r1627
2016-11-20 18:33 vinvin Changeset attached => Siril trunk r1633
2016-12-19 16:32 lock42 Category General => Software Development
2016-12-19 16:50 lock42 Category Software Development => Software
2016-12-19 23:30 lock42 Category Software => Siril